package com.hw.dao.impl;

import com.hw.commons.jdbcUtils;
import com.hw.dao.UserManagerDao;
import com.hw.pojo.Users;

import java.sql.Connection;
import java.sql.PreparedStatement;

/**
 * 用户管理持久层
 */
public class UserManagerDaoImpl implements UserManagerDao {
    @Override
    public void insertUser(Users users) {
        Connection conn=null;
        try {
            conn= jdbcUtils.getConnection();
            conn.setAutoCommit(false);
            PreparedStatement ps = conn.prepareStatement("insert into users values (default ,?,?,?,?,?)");
            ps.setString(1,users.getUsername());
            ps.setString(2,users.getUserpwd());
            ps.setString(3,users.getUsersex());
            ps.setString(4,users.getPhonenumber());
            ps.setString(5,users.getQqnumber());
            ps.execute();
            conn.commit();
        }catch (Exception e){
            e.printStackTrace();
            jdbcUtils.rollbackConnection(conn);
        }finally {
            jdbcUtils.closeConnection(conn);
        }
    }
}
